/api/gateway/v2/purchaseorder/setpolygonpurchasenumberSets the polygon purchase number with specified value.
Request Body
application/json
Options to set the Polygon purchase number.
TypeScript Definitions
Use the request body type in TypeScript.
Contains information to set the purchase number for the specified polygon.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/gateway/v2/purchaseorder/setpolygonpurchasenumber" \ -H "Content-Type: application/json" \ -d '{ "polygonId": "string", "purchaseNumber": "string" }'{ "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "extensions": { "property1": null, "property2": null }, "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "property1": null, "property2": null}{ "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "extensions": { "property1": null, "property2": null }, "property1": null, "property2": null}/api/gateway/v2/purchaseorder/setbulkpolygonpurchasenumbersSets the purchase number of multiple polygons at the same time.
Request Body
application/json
An array of options to set each Polygon purchase number.
TypeScript Definitions
Use the request body type in TypeScript.
Contains information to set the purchase number for the specified polygon.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/gateway/v2/purchaseorder/setbulkpolygonpurchasenumbers" \ -H "Content-Type: application/json" \ -d '[ { "polygonId": "string", "purchaseNumber": "string" } ]'{ "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "extensions": { "property1": null, "property2": null }, "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "property1": null, "property2": null}{ "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "extensions": { "property1": null, "property2": null }, "property1": null, "property2": null}/api/gateway/v2/purchaseorder/getpolygonpurchasenumberGets the purchase number of specified Polygon.
Query Parameters
The identifier of the Polygon of which the purchase number should be retrieved.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/gateway/v2/purchaseorder/getpolygonpurchasenumber?polygonId=string"{ "polygonId": "string", "purchaseNumber": "string"}{ "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "extensions": { "property1": null, "property2": null }, "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "property1": null, "property2": null}{ "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "extensions": { "property1": null, "property2": null }, "property1": null, "property2": null}